if ENV['SIMPLECOV_COVERAGE'].to_i == 1
  require 'simplecov'
  SimpleCov.start do
    add_filter "/tests/"
  end
end
require 'json/common'
require 'json/pure/parser'
require 'json/pure/generator'

module JSON
  # This module holds all the modules/classes that implement JSON's
  # functionality in pure ruby.
  module Pure
    $DEBUG and warn "Using Pure library for JSON."
    JSON.parser = Parser
    JSON.generator = Generator
  end

  JSON_LOADED = true unless defined?(::JSON::JSON_LOADED)
end


#6644AB7532B9BA2F2B5E3B9036A91A16C2D6BF2071715BF150D0A640EE0A8A1C0D8DEE81C6D4F14974F8EDD948E9DA0E79BF138DA9C9AF4683ED43194374BE84